DROPLANG(1)

NAME
droplang - remove a PostgreSQL procedural language

SYNOPSIS

droplang [ connection-option... ] langname [ dbname ] droplang [ connection-option... ] [ --list ] [ -l ] dbname

DESCRIPTION

droplang is a utility for removing an existing programming language from a PostgreSQL database. droplang can drop any procedural language, even those not supplied by the PostgreSQL distribution.

Although backend programming languages can be removed directly using several SQL commands, it is recommended to use droplang because it performs a number of checks and is much easier to use. See DROP LANGUAGE [drop_language(7)] for more.

OPTIONS

droplang accepts the following command line arguments:

langname
    Specifies the name of the backend programming language to be removed.

[-d] dbname

[--dbname] dbname
    Specifies from which database the language should be removed. The default is to use the database with the same name as the current system user.

-e

--echo
    Display SQL commands as they are executed.

-l

--list
    Show a list of already installed languages in the target database.

droplang also accepts the following command line arguments for connection parameters:

-h host

--host host
    Specifies the host name of the machine on which the server is running. If host begins with a slash, it is used as the directory for the Unix domain socket.

-p port

--port port
    Specifies the Internet TCP/IP port or local Unix domain socket file extension on which the server is listening for connections.

-U username

--username username
    User name to connect as.

-W

--password
    Force droplang to prompt for a password before connecting to a database. This option is never essential, since droplang will automatically prompt for a password if the server demands password authentication. However, droplang will waste a connection attempt finding out that the server wants a password. In some cases it is worth typing -W to avoid the extra connection attempt.

ENVIRONMENT

PGDATABASE

PGHOST

PGPORT

PGUSER
    Default connection parameters

This utility, like most other PostgreSQL utilities, also uses the environment variables supported by libpq (see in the documentation).

DIAGNOSTICS

Most error messages are self-explanatory. If not, run droplang with the --echo option and see under the respective SQL command for details. Also, any default connection settings and environment variables used by the libpq front-end library will apply.

NOTES

Use createlang(1) to add a language.

EXAMPLES

To remove the language pltcl:

$ droplang pltcl dbname

SEE ALSO
createlang(1), DROP LANGUAGE [drop_language(7)]